Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/requests/postapi-v-1-requests-request-id-move

# Move Request

POST `https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/move`

**DEPRECATED**: Use `/requests/\{requestId\}/move/result` instead.

This endpoint does not handle permission-based responses correctly when the user
lacks view access to the destination workspace.

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### requestId (path, string, required)

## Body

#### destination\_workspace\_id (body, integer)

#### request\_note (body, object)

#### properties

#### description (string)

#### workflow\_request\_note (body, object)

#### properties

#### user\_id (integer)

#### conversation\_id (integer)

When set, the reply is mirrored into this conversation's thread (UAG).

#### description (string)

#### mentions (array of integer)

#### is\_private (boolean)

#### source (enum (string))

#### type (enum (string))

#### attachments (array of integer)

#### cc\_emails (array of string)

#### bcc\_emails (array of string)

#### is\_broadcast (boolean)

#### external\_id (string)

#### external\_source\_type (enum (string))

#### email\_content (string)

#### event\_created\_at (string)

Event creation timestamp. When provided via public API, also backdates the note's created time, SLA metrics, and activity timestamps. Must not be in the future or before the request's creation time.

#### data (body, object)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/move' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"destination_workspace_id": 0, "request_note": {"description": "string"}, "workflow_request_note": {"user_id": 0, "conversation_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0], "cc_emails": ["string"], "bcc_emails": ["string"], "is_broadcast": true, "external_id": "string", "external_source_type": "SAAS_GENIE", "email_content": "string", "event_created_at": "date-time"}, "data": {}}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/move', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"destination_workspace_id": 0, "request_note": {"description": "string"}, "workflow_request_note": {"user_id": 0, "conversation_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0], "cc_emails": ["string"], "bcc_emails": ["string"], "is_broadcast": true, "external_id": "string", "external_source_type": "SAAS_GENIE", "email_content": "string", "event_created_at": "date-time"}, "data": {}}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/requests/{requestId}/move',
    headers={'X-Api-Key': '<api-key>'},
    json={"destination_workspace_id": 0, "request_note": {"description": "string"}, "workflow_request_note": {"user_id": 0, "conversation_id": 0, "description": "string", "mentions": [0], "is_private": true, "source": "EMAIL", "type": "ESD_NOTE", "attachments": [0], "cc_emails": ["string"], "bcc_emails": ["string"], "is_broadcast": true, "external_id": "string", "external_source_type": "SAAS_GENIE", "email_content": "string", "event_created_at": "date-time"}, "data": {}}
)
data = res.json()
```
